Skip to main content
`Ctrl`+`K`

# numpy.lib.npyio.DataSource.exists

method

lib.npyio.DataSource.exists(path)

  Test if path exists.

  Test if path exists as (and in this order):

  - a local file.

  - a remote URL that has been downloaded and stored locally in the DataSource directory.

  - a remote URL that has not been downloaded, but is valid and accessible.

  Parameters:
    path str or pathlib.Path

      Can be a local file or a remote URL.

  Returns:
    out bool

      True if path exists.

  Notes

  When path is an URL, `exists` will return True if it’s either stored locally in the DataSource directory, or is a valid remote URL. DataSource does not discriminate between the two, the file is accessible if it exists in either location.